Subject: bug#6100: c-beginning-of-defun doesn't push mark

From: Stefan Monnier <[email-masked]>
Date: Tue, 11 May 2010 15:22:10 -0400

> The speed of c-{beginning,end}-of-defun have presented problems from time
> to time.  Quadrupling CC Mode's end-of-defun's runtime doesn't seem a
> good idea.  I want to keep the handling of c-{beginning,end}-of-defun
> symmetrical for ease of maintenance.

IIUC the speed of those operations has been a problem when called many
times within a single command (i.e. the cumulative time became
a problem), so it shouldn't be a problem for interactive use where doing
it 4 times rather than 1 shouldn't be noticeable.

IOW, the problem was algorithmic, but running the same code 4 times
makes no difference algorithmically.

> I would favour your patch to these defuns which pushes the marks.

It's your code, so it's your choice.

        Stefan